Bug 1487701 - Window isn't shown when the app is launched
Summary: Window isn't shown when the app is launched
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 28
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/nextcloud/desktop/...
Whiteboard:
: 1487700 1582758 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 16:12 UTC by Allan Day
Modified: 2019-04-22 05:09 UTC (History)
13 users (show)

Fixed In Version: nextcloud-client-2.5.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1582758 (view as bug list)
Environment:
Last Closed: 2019-04-22 05:09:40 UTC
Type: Bug


Attachments (Terms of Use)
strace (969.29 KB, text/plain)
2017-09-01 18:12 UTC, Germano Massullo
no flags Details

Description Allan Day 2017-09-01 16:12:41 UTC
This issue has also been reported against the ownCloud client - see bug 1487700.


Description of problem:

If you click on the application launcher, the client's settings window isn't shown, even if the app is already running. This is the incorrect behaviour according to the upstream developers [1]. It is also inconsistent with how the ownCloud client behaves on other platforms (I've tested Ubuntu and Arch) as well as the upstream development version [2].


Version-Release number of selected component (if applicable):

nextcloud-client-2.3.2-1.fc26.x86_64


How reproducible:

Every time.


Steps to Reproduce:

1. Find the Nextcloud desktop client launcher, click on it.


Actual results:

Nothing happens.


Expected results:

The application window is shown.


[1] https://github.com/owncloud/client/issues/5986
[2] https://software.opensuse.org/download/package?project=isv:ownCloud:community:testing&package=owncloud-client

Comment 1 Germano Massullo 2017-09-01 18:12:02 UTC
Created attachment 1321069 [details]
strace

Comment 2 Allan Day 2017-09-04 10:14:37 UTC
From Fedora 27, this issue will mean that it won't be possible to access the Nextcloud client window, since status icons won't be displayed by default.

Comment 3 David Auer 2017-11-29 18:08:17 UTC
This is a serious issue that needs to be fixed in my opinion. You cannot access Nextcloud's status and settings without some heavy workaround: 
Installing Top Icons Plus (Gnome Addon) is not enough as the icon is for some reason missing after booting. I have to kill the running nextcloud process and rerun it to see the status icon which lets me access the status and settings window.

A startup delay might help to get the icon in Top Icons Plus but this is still a workaround for the workaround: https://help.nextcloud.com/t/no-nextcloud-icon-in-panel-on-mint/10548

Comment 4 Germano Massullo 2017-11-29 18:33:06 UTC
Owncloud version of the bugreport
https://bugzilla.redhat.com/show_bug.cgi?id=1487700

Comment 5 Germano Massullo 2017-11-29 18:48:49 UTC
I am asking Workstation SIG for help, because I cannot figure out where is the bug

Comment 6 Germano Massullo 2017-11-29 22:29:15 UTC
Are you using Wayland or Xorg?

Comment 7 David Auer 2017-11-30 14:54:30 UTC
I can reproduce this bug using:
Fedora 26 Wayland
Fedora 26 Xorg
Fedora 27 Xorg

(I can't easily check Fedora 27 with Wayland due to Nvidia drivers. I'd assume it's the same there.)

The special problem using Fedora 27 is, that the status icon isn't shown unless you install some gnome addon to display icons and kill and restart the Nextcloud process. So without knowing and using this workaround you can't control nextcloud in any way.


What i've tried so far:

- Searched for log files. Didn't find much: The --logfile and --logwindow options only show log items related to sychronization but don't notice if another instance is launched. If another instance is already running the new nextcloud command just returns after a moment without showing or writing any log.

- Had a look in "journalctl --follow": There is some nextcloud related stuff but mostly from nautilus and nothing special if a second instance is launched.

- Played around with strace: It seems to me that the main instance gets notified when a new nextcloud instance is started as it "stat"s the config file and accesses some socket named "qtsingleapp-Nextcl-84" which seems interesting to me:

stat("/home/da/.local/share/data/Nextcloud/nextcloud.cfg", 
{st_mode=S_IFREG|0664, st_size=592, ...}) = 0

accept4(19, {sa_family=AF_UNIX}, [110->2], SOCK_CLOEXEC) = 32
getsockname(32, {sa_family=AF_UNIX, sun_path="/tmp/qtsingleapp-Nextcl-84"}, [28->35]) = 0
getpeername(32, {sa_family=AF_UNIX}, [35->2]) = 0
getsockopt(32, SOL_SOCKET, SO_TYPE, [1], [4]) = 0
fcntl(32, F_GETFL)                      = 0x2 (flags O_RDWR)
fcntl(32, F_SETFL, O_RDWR|O_NONBLOCK)   = 0
ppoll([{fd=32, events=POLLIN}], 1, {tv_sec=30, tv_nsec=0}, NULL, 8
) = 1 ([{fd=32, revents=POLLIN}], left {tv_sec=29, tv_nsec=996677372})


Here is the full strace output of another run (FDs may have changed):
main instance: https://paste.fedoraproject.org/paste/WyLqTwLhVJgtmEHBrhrgrg
second instance: https://paste.fedoraproject.org/paste/ykiG6Jc3PKcs9vi7u9dRqg
another second instance: https://paste.fedoraproject.org/paste/CUW-Eyfnv6jDA1tjZ~rs-Q

Further ideas on how to proceed from here:
- Try other packages and/or compile from source to see if the bug is in there. 
- Try on a fresh install (Worth the effort?)
- Have a look at the source code.
- Maybe find someone with experience in debugging such issues.


I'm new to bugzilla and I hope I'm doing this right. Please tell me if I'm doing anything wrong or if you think I should read some guide first ;)

Comment 8 Germano Massullo 2017-11-30 14:59:52 UTC
*** Bug 1487700 has been marked as a duplicate of this bug. ***

Comment 9 Fedora End Of Life 2018-05-03 08:57:11 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2018-05-29 11:28:35 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Robert Mader 2018-06-10 10:04:44 UTC
Can this issue please get reopened? It still applies to fedora 28, even more so since the topicon plus extension doesn't properly work anymore with gnome-shell 3.28 on wayland (it isn't maintained for a while now).

Basicly this bug means the nextcloud client is broken for a default fedaro installation atm, which makes for a pretty bad experience.

Related nextcloud issue: https://github.com/nextcloud/desktop/issues/203

Comment 12 Germano Massullo 2018-11-15 21:10:09 UTC
*** Bug 1582758 has been marked as a duplicate of this bug. ***

Comment 13 Fedora Update System 2018-11-19 16:37:33 UTC
nextcloud-client-2.5.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 14 Fedora Update System 2018-11-19 16:37:34 UTC
nextcloud-client-2.5.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 15 Fedora Update System 2018-11-19 16:37:54 UTC
nextcloud-client-2.5.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 16 Fedora Update System 2018-11-19 16:37:54 UTC
nextcloud-client-2.5.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 17 Fedora Update System 2018-11-19 16:38:13 UTC
nextcloud-client-2.5.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 18 Fedora Update System 2018-11-19 16:38:15 UTC
nextcloud-client-2.5.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 19 Germano Massullo 2018-11-19 16:38:46 UTC
Please test it and report if there is any need to reconfigure login access mode

Comment 20 Fedora Update System 2018-11-20 15:21:25 UTC
nextcloud-client-2.5.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 21 Fedora Update System 2018-11-20 17:02:30 UTC
nextcloud-client-2.5.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 22 Fedora Update System 2018-11-20 19:28:45 UTC
nextcloud-client-2.5.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 23 Fedora Update System 2019-01-09 16:16:29 UTC
nextcloud-client-2.5.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-117007362a

Comment 24 Fedora Update System 2019-01-09 16:17:52 UTC
nextcloud-client-2.5.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-184842aa8c

Comment 25 Fedora Update System 2019-01-11 04:16:40 UTC
nextcloud-client-2.5.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-184842aa8c

Comment 26 Fedora Update System 2019-01-11 05:42:41 UTC
nextcloud-client-2.5.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-117007362a

Comment 27 Fedora Update System 2019-04-11 13:20:36 UTC
nextcloud-client-2.5.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5d5d5aef3

Comment 28 Fedora Update System 2019-04-11 13:20:47 UTC
nextcloud-client-2.5.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 29 Fedora Update System 2019-04-13 03:22:03 UTC
nextcloud-client-2.5.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5d5d5aef3

Comment 30 Fedora Update System 2019-04-13 12:10:18 UTC
nextcloud-client-2.5.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 31 Fedora Update System 2019-04-22 05:09:40 UTC
nextcloud-client-2.5.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.